Bug 118878 - Up2date blows up with unknown global variable some times (up2dateErros.RpmError)
Up2date blows up with unknown global variable some times (up2dateErros.RpmError)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-22 03:46 EST by Alan Cox
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 20:58:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2004-03-22 03:46:57 EST
Description of problem:

Up2date downloaded 35K from coreutils then went bang, While it often
does this and spews a trace on console about connection
resets/failures/timeouts this time it instead hit an uknown global
variable and died of that instead

Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 2070, in
doInstallation
    kernelsToInstall = up2date.installPackages(self.selectedPkgList,
self.rpmCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 619, in
installPackages
    raise up2dateErros.RpmError("%s" % e)
NameError: global name 'up2dateErros' is not defined


FC1 box updated except for xmms and coreutils
Comment 1 Adrian Likins 2004-03-22 15:21:54 EST
fix should be in rhel3u2 and rawhide at some point, fixed in cvs
Comment 2 Richard Ames 2004-03-23 15:00:14 EST
Does this fix the other nosensical errors, "not a gzipped file" for
instance?
Comment 3 Adrian Likins 2004-04-07 16:41:44 EDT
>Does this fix the other nosensical errors, "not a gzipped file" for
>instance?

No

Note You need to log in before you can comment on or make changes to this bug.